Watch, Follow, &
Connect with Us

For forums, blogs and more please visit our
Developer Tools Community.


Welcome, Guest
Guest Settings
Help

Thread: Firemonkey - Delphi XE7 Issues with XCode 7.1 / iOS9



Permlink Replies: 2 - Last Post: Nov 12, 2015 11:36 AM Last Post By: Brian Hamilton ...
Lee Parvin

Posts: 1
Registered: 11/19/01
Firemonkey - Delphi XE7 Issues with XCode 7.1 / iOS9
Click to report abuse...   Click to reply to this thread Reply
  Posted: Nov 12, 2015 5:33 AM
Ive had an iPhone app working well for iOS 8.4 and all has worked well.

However, users are now upgrading to iOS9 on their iPhones, so the app does not work. It crashes!!!!

I upgraded to OS X El Capitan on my Apple Mac, and installed XCode 7.1 (for iOS9) and XCode 6.4 (iOS 7.1 Simulator).

I then ran through the process of connecting the Provisioning Profile etc to my Mac. All went well.

I now have 2 problems :-

1 - Build to Simulator

I used the SDK Manager to setup SDKs. Clicking Simulator should show :-

iPhone Simulator 7.1
iPhone Simulator 8.4

However, only 8.4 is shown. This is wrong! If I run the exe for 8.4 simulator I get error "Please specify exact device preset UUID'

2 - Build to Device

If I then change to build to iPhone device (iOS 9), the compilation fails :-

ld: warning: directory not found for option '-FC:\Users\Administrator\Documents\Embarcadero\Studio\SDKs\iPhoneOS9.1.sdk\System\Library\PrivateFrameworks'

file not found: /usr/lib/libiconv.dylibld: file not found: /usr/lib/libiconv.dylib

Basically using Delphi XE7, I cant seem to develop for iOS9.

Any suggestions??

Edited by: Lee Parvin on Nov 12, 2015 5:34 AM

Eli M

Posts: 1,346
Registered: 11/9/13
Re: Firemonkey - Delphi XE7 Issues with XCode 7.1 / iOS9
Click to report abuse...   Click to reply to this thread Reply
  Posted: Nov 12, 2015 6:38 AM   in response to: Lee Parvin in response to: Lee Parvin
IOS8.4 SDK apps work on IOS9. Use the new XCode etc. but use the 8.4 SDK if that is possible.
Brian Hamilton ...

Posts: 556
Registered: 10/14/04
Re: Firemonkey - Delphi XE7 Issues with XCode 7.1 / iOS9
Click to report abuse...   Click to reply to this thread Reply
  Posted: Nov 12, 2015 11:36 AM   in response to: Lee Parvin in response to: Lee Parvin
you will need to use the latest Delphi version to get the 64 bit binary for iOS regardles of fixing this
Legend
Helpful Answer (5 pts)
Correct Answer (10 pts)

Server Response from: ETNAJIVE02